package test;

import java.util.regex.Pattern;

public class BBB {
   public static void main(String[] args) {
      Pattern p = Pattern.compile("(db\\.).*(\\.deleteOne|deleteMany|remove|findOneAndDelete|findAndModify).*", 136);
      String[] reqs = new String[]{"db.aaa.remove()"};

      for(String req : reqs) {
         System.out.println(p.matcher(req).matches());
      }

   }
}
